// file: $USFS/class/image_eval/v1.0/imgev_prnt_1.cc
//

// isip include files
//
#include "image_eval.h"

#include <integral_constants.h>
#include "image_eval_constants.h"

// method: summary_cc
//
// arguments:
//  float_4 min_a: (input) mininum difference
//  float_4 median_a: (input) median difference
//  float_4 max_a: (input) maximum difference
//  float_4 avg_a: (input) average difference
//  float_4 rms_a: (input) rms of differences
//  char_1* min_file_a: (input) file corresponds to mininum difference
//  char_1* median_file_a: (input) file corresponds to median difference
//  char_1* max_file_a: (input) file corresponds to maximum difference
//
// return:
//  logical_1 to indicate status
//
// This method prints out the correlation value calculated earlier.
//
//
logical_1 Image_eval::print_summary_cc(float_4 min_a, float_4 median_a,
				       float_4 max_a, float_4 avg_a,
				       float_4 rms_a, char_1* min_file_a,
				       char_1* median_file_a,
				       char_1* max_file_a) {

  // print out summary info
  //
  fprintf(stdout, "\nsummary:\n");
  fprintf(stdout, "--------\n");
  fprintf(stdout, IMGEV_PRINT_FORMAT_C, min_a, min_file_a);
  fprintf(stdout, IMGEV_PRINT_FORMAT_D, median_a, median_file_a);
  fprintf(stdout, IMGEV_PRINT_FORMAT_E, max_a, max_file_a);
  fprintf(stdout, IMGEV_PRINT_FORMAT_F, avg_a);
  fprintf(stdout, IMGEV_PRINT_FORMAT_G, rms_a);

  // exit gracefully
  //
  return ISIP_TRUE;
}
























